    # File lib/fog/aws/parsers/iam/get_role_policy.rb, line 12
              def end_element(name)
                case name
                when 'RoleName', 'PolicyName'
                  @response['Policy'][name] = value
                when 'PolicyDocument'
                  @response['Policy'][name] = if decoded_string = URI.decode(value)
                                      Fog::JSON.decode(decoded_string) rescue value
                                    else
                                      value
                                    end
                when 'RequestId'
                  @response[name] = value
                end
              end